import { createFallbackMonitoringClient } from '@wix/monitoring';
import { createHostModule } from '@wix/sdk-runtime/host-modules';
export const monitoring = createHostModule({
    getMonitoringClient: (host) => () => {
        if (!host.getMonitoringClient) {
            return createFallbackMonitoringClient('Host monitoring client is not available on the current host. Make sure to use an updated version of the host initialization package.');
        }
        return host.getMonitoringClient();
    },
});
