"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.experiments = void 0;
const host_modules_1 = require("@wix/sdk-runtime/host-modules");
/** @internal */
exports.experiments = (0, host_modules_1.createHostModule)({
    isEnabled_legacy: (host) => (specName) => {
        if (!host.getPetriExperimentsClient) {
            throw new Error('Host "PetriExperiments" are not available on the current host. Make sure to use an updated version of the host initialization pacakge.');
        }
        return host.getPetriExperimentsClient().enabled(specName);
    },
    getValue_legacy: (host) => (specName) => {
        if (!host.getPetriExperimentsClient) {
            throw new Error('Host "PetriExperiments" are not available on the current host. Make sure to use an updated version of the host initialization pacakge.');
        }
        return host.getPetriExperimentsClient().get(specName);
    },
    isFeatureOn: (host) => (featureName) => {
        if (!host.getConductorClient) {
            throw new Error('Host conductor client is not available on the current host. Make sure to use an updated version of the host initialization pacakge.');
        }
        return host.getConductorClient().isFeatureOn(featureName);
    },
    getABTestVariant: (host) => (abTestName) => {
        if (!host.getConductorClient) {
            throw new Error('Host conductor client is not available on the current host. Make sure to use an updated version of the host initialization pacakge.');
        }
        return host.getConductorClient().getABTestVariant(abTestName);
    },
});
