import type { ResolvedError, ErrorCodesMap, ErrorHandler } from '@wix/sdk-types';
export declare const withErrorHandler: <T>(fn: () => Promise<T>, errorCodesMap: ErrorCodesMap) => Promise<T>;
export declare const getResolvedError: <T>(error: unknown) => ResolvedError & Partial<T>;
export declare const showError: (error: unknown, props?: Partial<import("@wix/error-handler-types/dist/types/v2/ShowError.js").ShowErrorProps> | null) => void;
/** @internal */
export declare const reportRetryAttempt: (error: unknown) => void;
export type { ErrorHandler, ResolvedError, ErrorCodesMap };
