import { createRESTModule } from '@wix/sdk-runtime/rest-modules';
export const fetchWithAuth = createRESTModule((restModuleOpts) => {
    return ((url, options) => restModuleOpts.fetchWithAuth(url, options));
});
export const graphql = createRESTModule(((restModuleOpts) => {
    // eslint-disable-next-line @typescript-eslint/no-shadow
    return async function graphql(query, variables, opts = {
        apiVersion: 'alpha',
    }) {
        const result = await restModuleOpts.request(({ host }) => {
            const basePath = host === 'www.wixapis.com' ? '/graphql' : '/_api/graphql';
            return {
                method: 'POST',
                url: `${basePath}/${opts.apiVersion}`,
                data: { query, variables },
                packageName: '@wix/essentials',
            };
        });
        return result.data;
    };
}));
