import { createHostModule } from '@wix/sdk-runtime/host-modules';
export const i18n = createHostModule({
    getLanguage: (host) => () => {
        const language = host.essentials?.language;
        if (!language) {
            throw new Error('Host language is not available on the current host. Make sure to use an updated version of the host initialization pacakge.');
        }
        return language;
    },
    getLocale: (host) => () => {
        const locale = host.essentials?.locale;
        if (!locale) {
            throw new Error('Host locale is not available on the current host. Make sure to use an updated version of the host initialization pacakge.');
        }
        return locale;
    },
});
